AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

Parameters for user sign up

### Hierarchy

- SignUpParams

## Index

### Properties

- attributes
- password
- username
- validationData

## Properties

### Optional attributes

attributes: object

- Defined in auth/src/types/Auth.ts:22

### password

password: string

- Defined in auth/src/types/Auth.ts:21

### username

username: string

- Defined in auth/src/types/Auth.ts:20

### Optional validationData

validationData: CognitoUserAttribute[]

- Defined in auth/src/types/Auth.ts:23